using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using QuintoCaminoV2.Data_objects;
using System.Web.Security;

namespace QuintoCaminoV2.Account
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Unnamed6_Click(object sender, EventArgs e)
        {
            DataLayer oDataLayer = new DataLayer();
            Data_objects.Usuarios oUser = new Data_objects.Usuarios();
            oUser.vchEmail = UserName.Text;
            oUser.vchUsuario = UserName.Text;
            List<Usuarios> lstUsuarios = new List<Usuarios>();
            lstUsuarios = oDataLayer.get_UsuarioByUser(oUser);

            if (lstUsuarios.Count > 0)
            {
                foreach (Usuarios oUsu in lstUsuarios)
                {
                    if (oUsu.vchContrasena == Password.Text)
                    {
                        FormsAuthentication.SetAuthCookie(this.UserName.Text, true);
                        Session["idUsuario"] = oUsu.intUsuarioId;
                        Session["vchUsuario"] = oUsu.vchUsuario;
                        Session["bitAdministrador"] = oUsu.bitAdministrador;
                        if (Session["Page"] == null)
                            Response.Redirect("~/Users/User.aspx");
                        else
                            Response.Redirect(Convert.ToString(Session["Page"]));
                    }
                    else
                    {
                        this.lblError.InnerText = "Password incorrecto";
                        return;
                    }
                }
            }
            else
            {
                lstUsuarios = oDataLayer.get_UsuarioByEmail(oUser);
                if (lstUsuarios.Count > 0)
                {
                    foreach (Usuarios oUsu in lstUsuarios)
                    {
                        if (oUsu.vchContrasena == Password.Text)
                        {
                            FormsAuthentication.SetAuthCookie(this.UserName.Text, true);
                            Session["idUsuario"] = oUsu.intUsuarioId;
                            if (Session["Page"] == null)
                                Response.Redirect("~/Users/User.aspx");
                            else
                                Response.Redirect(Convert.ToString(Session["Page"]));
                        }
                        else
                        {
                            lblError.InnerText = "Password incorrecto";
                            return;
                        }
                    }
                }
                else
                {
                    lblError.InnerText = "Correo no encontrado";
                }

            }




        }
    }
}